Subject: AW: [manet] Q. about RFC3561

From: Bahr Michael <[email-masked]>
Date: Mon, 28 Jul 2003 17:38:06 +0200

Hi Ian,

I think the text is still a little bit confusing, considering that your
comment is not in the RFC. Without your comment, it is not really clear,
whether the node in the paragraph before the bullets is the same as the
originating node of the first bullet and the destination node in the second
bullet.

How about the following wording?

   guarantee the loop-freedom of all routes towards that node.  A node
   increments its own sequence number in two circumstances:

   -  Immediately before a node originates a route discovery, it MUST
      increment its own sequence number.  This prevents conflicts with
      previously established reverse routes towards the originator of a
      RREQ.

   -  Immediately before a node, being the destination node, issues a route
reply in
      response to a RREQ, it MUST update its own sequence number to the
      maximum of its current sequence number and the destination
      sequence number in the RREQ packet.

(The first bullet is actually the original text from RFC 3561.)

Best regards,
Michael Bahr

-- 
Michael Bahr
Siemens Corporate Technology
Munich, Germany

> -----Ursprüngliche Nachricht-----
> Von: Ian Chakeres [mailto:[email-masked]]
> Gesendet am: Donnerstag, 24. Juli 2003 18:50
> An: YAMADA Tatsuya
> Cc: MANET Mailing List
> Betreff: RE:[manet] Q. about RFC3561
> 
> 
> This paragraph is not describing management of routing table entries
> but each nodes own "destination sequence number".  In AODV each node
> maintains it's own destination sequence number therefore specifying
> originator or destination is slightly redundant (but correct in the
> context of each bullet) in this paragraph.  I'll try to make it more
> clear in future drafts.
> 
> Does this re-write remove the confusion?
> 
>    guarantee the loop-freedom of all routes towards that node.  A node
>    increments its own sequence number in two circumstances:
> 
>    - Immediately before a originating node starts a route 
> discovery, it
>       MUST increment its own sequence number.  This prevents conflicts
>       with previously established reverse routes towards the
>       originator of a RREQ.
> 
>    - Immediately before a destination node issues a route reply in
>      response to a RREQ, it MUST update its own sequence number to the
>      maximum of its current sequence number and the destination
>      sequence number in the RREQ packet.
> 
> Ian Chakeres
> 
> >YAMADA Tatsuya wrote:
> >Hello all,
> >
> >I have a question about RFC3561.  Section 6.1. is written as below,
> >
> >>6.1. Maintaining Sequence Numbers
> >(snip)
> >>   guarantee the loop-freedom of all routes towards that node.  A
> >>   destination node increments its own sequence number in two
> >>   circumstances:
> >>
> >>   -  Immediately before a node originates a route 
> discovery, it MUST
> >>      increment its own sequence number.  This prevents 
> conflicts with
> >>      previously established reverse routes towards the 
> originator of a
> >>      RREQ.
> >
> >Does "a node" in first item mean "an originator" ?
> >
> >If so, it shold be written like that explicitly.
> >
> >If not so, could you tell me when a destination node has to 
> originate a 
> >route discovery ?
> >(When a destination node will reply a RREP, a route from a 
> destination to 
> >an originator (and vice versa) has been already established, 
> I think.)
> >
> >
> >Or does "a node" mean both ?
> >
> >
> >Best Regards,
> >
> >----
> >YAMADA Tatsuya / mailto:[email-masked]
> >Software Technology Group 2, Software Engineering Center, 
> Toshiba Corp.
> >Tel: +81-44-549-2404 / Fax: +81-44-549-5484
> >
> >_______________________________________________
> >manet mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/manet
> 
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
> 

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet